//Bf2 Rank Mod HUD File
//Contains all the HUD functions.

#if defined bf2_hud_included
  #endinput
#endif
#define bf2_hud_included

//Show an announcement display
public Announcement(id)
{
	if ( !get_pcvar_num(gPcvarBF2Active) || is_user_bot(id) ) return;
	#if defined KOLOROWY_SAY
	ColorChat(id,TEAM_COLOR,"[BF2]^x03 Ten serwer uzywa^x04 %s^x03 w wersji^x04 %s^x03 autorstwa^x04 %s", gNazwaPluginu, gWersjaPluginu, gAutorPluginu);
	ColorChat(id,TEAM_COLOR,"[BF2]^x03 Wpisz^x04 ^"/bf2menu^"^x03 aby uzyskac wiecej informacji");
	#else
	client_print(id, print_chat, "[BF2] Ten serwer uzywa %s w wersji %s autorstwa %s", gNazwaPluginu, gWersjaPluginu, gAutorPluginu);
	client_print(id, print_chat, "[BF2] Wpisz ^"/bf2menu^" aby uzyskac wiecej informacji");
	#endif

}

//Displays the HUD to the user
#if defined NOWY_HUD
public DisplayHUD(id)
{
	id -= TASK_HUD;
	
	if ( !get_pcvar_num(gPcvarBF2Active) || !get_pcvar_num(gPcvarStatusText) )
		return; 
	if ( !is_user_alive(id) || is_user_bot(id) )
		return;
	
	if(!is_user_connected(id))
	{
		remove_task(id+TASK_HUD);
		return;
	}

	set_hudmessage(227, 96, 8, 0.05, 0.15, 0, 0.0, 0.3, 0.0, 0.0, 3)
	if ( !gStatsLoaded[id] )
	{
		ShowSyncHudMsg(id, gHUD,"[%s] Wczytuje Dane...", gNazwaPluginu)
	}
	else
	{
		new rank = g_PlayerRank[id];
		new nextrank;

		switch(rank)
		{
			case 16, 19, 20, 21: nextrank = 15;
			case 17: nextrank = 7;
			case 18: nextrank = 8;
			default: nextrank = rank;
		}

		++nextrank;

		new nextrankxp = floatround(gRankXP[nextrank] * get_pcvar_float(gPcvarXpMultiplier));

		if ( !get_pcvar_num(gPcvarBadgesActive) )
		{
			ShowSyncHudMsg(id, gHUD,"[%s]^nRanga: %s^nZabicia: %d/%d", gNazwaPluginu, gRankName[rank], totalkills[id], nextrankxp)
		}
		else
		{
			ShowSyncHudMsg(id, gHUD,"[%s]^nRanga: %s^nIlosc Odznak: %d^nZabicia: %d/%d", gNazwaPluginu, gRankName[rank], numofbadges[id], totalkills[id], nextrankxp)
		}
	}
}

public RemoveHUD(id)
{
	remove_task(id+TASK_HUD);
}
#else
public DisplayHUD(id)
{
	if ( !get_pcvar_num(gPcvarBF2Active) || !get_pcvar_num(gPcvarStatusText) ) return; 
	if ( !is_user_alive(id) || is_user_bot(id) ) return;
	
	#if defined DRUZYNOWY_STARY_HUD
	new CsTeams:userTeam = cs_get_user_team(id);
	#endif
	
	#if defined STANDARDOWY_HUD
	static HUD[64];
	#endif
	
	new rank = g_PlayerRank[id];
	new nextrank;
	
	switch(rank)
	{
		case 16, 19, 20, 21: nextrank = 15;
		case 17: nextrank = 7;
		case 18: nextrank = 8;
		default: nextrank = rank;
	}
	
	++nextrank;
	
	new nextrankxp = floatround(gRankXP[nextrank] * get_pcvar_float(gPcvarXpMultiplier));
	
	if ( !get_pcvar_num(gPcvarBadgesActive) )
	{
		#if defined CZERWONY_STARY_HUD
		makeStatusText(id,RED_STATUS,0.0,"[BF2] Zabicia: %d/%d  Ranga: %s", totalkills[id], nextrankxp, gRankName[rank]);
		#endif
		
		#if defined NIEBIESKI_STARY_HUD
		makeStatusText(id,BLUE_STATUS,0.0,"[BF2] Zabicia: %d/%d  Ranga: %s", totalkills[id], nextrankxp, gRankName[rank]);	
		#endif
		
		#if defined SZARY_STARY_HUD
		makeStatusText(id,GREY_STATUS,0.0,"[BF2] Zabicia: %d/%d  Ranga: %s", totalkills[id], nextrankxp, gRankName[rank]);
		#endif		
		
		#if defined ZOLTY_STARY_HUD
		makeStatusText(id,YELLOW_STATUS,0.0,"[BF2] Zabicia: %d/%d  Ranga: %s", totalkills[id], nextrankxp, gRankName[rank]);
		#endif	
		
		#if defined DRUZYNOWY_STARY_HUD
		if (userTeam == CS_TEAM_T)
		{
			makeStatusText(id,RED_STATUS,0.0,"[BF2] Zabicia: %d/%d  Ranga: %s", totalkills[id], nextrankxp, gRankName[rank]);
		}
		else if(userTeam == CS_TEAM_CT)
		{
			makeStatusText(id,BLUE_STATUS,0.0,"[BF2] Zabicia: %d/%d  Ranga: %s", totalkills[id], nextrankxp, gRankName[rank]);
		}
		else 
		{
			makeStatusText(id,GREY_STATUS,0.0,"[BF2] Zabicia: %d/%d  Ranga: %s", totalkills[id], nextrankxp, gRankName[rank]);
		}
		#endif
		
		#if defined STANDARDOWY_HUD
		formatex(HUD, charsmax(HUD), "[BF2] Zabicia: %d/%d  Ranga: %s", totalkills[id], nextrankxp, gRankName[rank]);
		#endif
	}
	else
	{
		#if defined CZERWONY_STARY_HUD
		makeStatusText(id,RED_STATUS,0.0,"[BF2] Zabicia: %d/%d Odznaki: %d  Ranga: %s", totalkills[id], nextrankxp, numofbadges[id], gRankName[rank]);
		#endif
		
		#if defined NIEBIESKI_STARY_HUD
		makeStatusText(id,BLUE_STATUS,0.0,"[BF2] Zabicia: %d/%d Odznaki: %d  Ranga: %s", totalkills[id], nextrankxp, numofbadges[id], gRankName[rank]);	
		#endif
		
		#if defined SZARY_STARY_HUD
		makeStatusText(id,GREY_STATUS,0.0,"[BF2] Zabicia: %d/%d Odznaki: %d  Ranga: %s", totalkills[id], nextrankxp, numofbadges[id], gRankName[rank]);
		#endif		
		
		#if defined ZOLTY_STARY_HUD
		makeStatusText(id,YELLOW_STATUS,0.0,"[BF2] Zabicia: %d/%d Odznaki: %d  Ranga: %s", totalkills[id], nextrankxp, numofbadges[id], gRankName[rank]);
		#endif
		
		#if defined DRUZYNOWY_STARY_HUD
		if (userTeam == CS_TEAM_T)
		{
			makeStatusText(id,RED_STATUS,0.0,"[BF2] Zabicia: %d/%d Odznaki: %d  Ranga: %s", totalkills[id], nextrankxp, numofbadges[id], gRankName[rank]);
		}
		else if(userTeam == CS_TEAM_CT)
		{
			makeStatusText(id,BLUE_STATUS,0.0,"[BF2] Zabicia: %d/%d Odznaki: %d  Ranga: %s", totalkills[id], nextrankxp, numofbadges[id], gRankName[rank]);
		}
		else 
		{
			makeStatusText(id,GREY_STATUS,0.0,"[BF2] Zabicia: %d/%d Odznaki: %d  Ranga: %s", totalkills[id], nextrankxp, numofbadges[id], gRankName[rank]);
		}
		#endif
		
		#if defined STANDARDOWY_HUD
		formatex(HUD, charsmax(HUD), "[BF2] Zabicia: %d/%d Odznaki: %d  Ranga: %s", totalkills[id], nextrankxp, numofbadges[id], gRankName[rank]);
		#endif
	}
	
	#if defined STANDARDOWY_HUD
	message_begin(MSG_ONE_UNRELIABLE, gmsgStatusText, _, id);
	write_byte(0);
	write_string(HUD);
	message_end();
	#endif
}
#endif

#if defined PREFIX
public PrefixCzat(msgId,msgDest,msgEnt)
{
	new id = get_msg_arg_int(1);
	
	if(!is_user_connected(id))
		return PLUGIN_CONTINUE;
	
	new szTmp[256],szTmp2[256]
	get_msg_arg_string(2,szTmp, charsmax( szTmp ) )
	
	new rank = g_PlayerRank[id];
	new szPrefix[64]
	formatex(szPrefix,charsmax( szPrefix ),"^x04[%s]",gRankName[rank]);
	
	if(!equal(szTmp,"#Cstrike_Chat_All"))
	{
		add(szTmp2,charsmax(szTmp2),szPrefix);
		add(szTmp2,charsmax(szTmp2)," ");
		add(szTmp2,charsmax(szTmp2),szTmp);
	}
	else
	{
		add(szTmp2,charsmax(szTmp2),szPrefix);
		add(szTmp2,charsmax(szTmp2),"^x03 %s1^x01 :  %s2");
	}
	
	set_msg_arg_string(2,szTmp2);
	
	return PLUGIN_CONTINUE;
}
#endif
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1045\\ f0\\ fs16 \n\\ par }
*/
